<style>
    /*@#include#(taskStyles.css)*/
</style>

<div id="${{{qid}}}_myQuestion">
    <div id="${{{qid}}}_taskDescription"
         class="taskDescription">
        <p class="headerStyle" onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement('${{{qid}}}_taskDesc');">
            Popunjavanje dvostrukog
            spremnika</p>
        <div id="${{{qid}}}_taskDesc">
            <p class="textStyle">
                U dvostruki spremnik upisuju se okviri za koje su zadana vremena upisivanja:
                \(t_1 = @#echo#(*html* $t1) \ ms \),
                \(t_2 = @#echo#(*html* $t2) \ ms \),
                \(t_3 = @#echo#(*html* $t3) \ ms \),
                \(t_4 = @#echo#(*html* $t4) \ ms \).

                Nakon \( t_4 \) ponavlja se okvir \( t_1 \) (niz okvira se periodički ponavlja).
                Osvježavanje se obavlja frekvencijom 50.0 Hz. U trenutku \(t_0 = 0 \ ms\) već je upisan nulti okvir. On
                nema veze s okvirima koji se periodički ponavljaju.

                Vaš je zadatak za oba spremnika nacrtati jedan ciklus punjenja okvira, odnosno period \(t_1 \ \ do \ \
                t_4\).
                <br>
                <br>
                Podzadaci su: <br>
                <b>a)</b> punjenje okvira bez sinkronizacije <br>
                <b>b)</b> punjenje okvira sa sinkronizacijom s danom frekvencijom osvježavanja

            <p class="textStyle">
                Za svaki okvir, sustav će u okviru prikazati tri podatka: na vrhu bit će prikazan broj okvira, ispod
                njega
                naziv okvira (Prikaži, Čekaj, Upiši), a na dnu trajanje okvira u milisekundama.
                Detaljna uputa nalazi se na dnu stranice.
            </p>
        </div>
    </div>

    <hr>
    <p class="textStyle">
        Ovdje popunite okvire za podzadatak <b>a) </b>
        \( \ t_1 = @#echo#(*html* $t1) \ ms \),
        \(t_2 = @#echo#(*html* $t2) \ ms \),
        \(t_3 = @#echo#(*html* $t3) \ ms \),
        \(t_4 = @#echo#(*html* $t4) \ ms \).
    </p>
    <canvas id="${{{qid}}}_buff1" width="910" height="300"></canvas>
    <!--<hr>-->

    <p class="textStyle">
        Ovdje popunite okvire za podzadatak <b>b)</b>
        \( \ t_1 = @#echo#(*html* $t1) \ ms \),
        \(t_2 = @#echo#(*html* $t2) \ ms \),
        \(t_3 = @#echo#(*html* $t3) \ ms \),
        \(t_4 = @#echo#(*html* $t4) \ ms \).
    </p>
    <canvas id="${{{qid}}}_buff2" width="900" height="300"></canvas>
    <hr>

    <div id="${{{qid}}}_taskHTU" class="taskHTU"
    >
        <p class="headerStyle" onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement('${{{qid}}}_htuDesc');">
            Upute</p>
        <p class="textStyle" id="${{{qid}}}_htuDesc">
            Pritiskom na gumb (Okvir čekaj, Okvir prikaži, Okvir upiši, izbriši ili izmijeni) definira se akcija.
            Nakon definirane akcije mišem treba definirati gdje želite postaviti okvir ili koji od okvira želite maknuti
            ili izmijeniti. <br> <br>
            Ako je odabrano dodavanje okvira (Prikaži, Čekaj ili Upiši), jednim klikom lijeve tipke miša dodaje se
            prikazani
            okvir u spremnik. <br> <br>
            Ako je odabrano micanje ili mijenjanje okvira, potrebno je miš postaviti na željeni okvir. Jednom kad ste
            odlučili koji okvir želite mijenjati ili izbrisati potrebno je pritisnuti lijevom tipkom miša na
            taj
            okvir. Ako mijenjate okvir, moći ćete mu podesiti veličinu, nakon što ste zadovoljni s podešenim, kliknite
            još
            jednom kako bi promjena ostala zapamćena.

            <br> <br>

            U slučaju da niti jedna akcija nije odabrana, klikom lijeve tipka miša na bilo koji od okvira pojavljuje se
            dijalog koji omogućava promjenu indeksa i trajanja odabranog okvira.
        </p>
    </div>


    <div id="${{{qid}}}_myDim" class="dimmedWindow">
    </div>

    <div id="${{{qid}}}_dimModal" class="modal" role="dialog">

        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header modal-header-alert">
                    <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').closeDimDialog();"
                            class="close"
                            data-dismiss="modal">&times;
                    </button>
                    <h4 class="modal-title"><b>Nedozvoljena vrijednost</b></h4>
                </div>
                <div class="modal-body modal-body-alert">
                    <p id="${{{qid}}}_innerModalText">

                    </p>

                </div>
                <div class="modal-footer modal-footer-alert">
                    <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').closeDimDialog();"
                            class="btn btn-danger"
                            data-dismiss="modal">Zatvori
                    </button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal With Bootstrap -->
    <div id="${{{qid}}}_modalDialog" class="modal" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header modal-header-custom">
                    <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').closeDialog();"
                            class="close"
                            data-dismiss="modal">&times;
                    </button>
                    <h4 class="modal-title"><b>Unos vrijednosti</b></h4>
                </div>
                <div class="modal-body modal-body-custom">
                    <form name="${{{qid}}}_boxForm" onsubmit="return qGlobalObject('${{{qid}}}', 'gObj').validateForm()"
                          method="post">

                        <table style=" border-collapse: separate; border-spacing: 5px;">
                            <tr>
                                <td>Indeks okvira:</td>
                                <td><input id="${{{qid}}}_inputBoxId" type="number"
                                           name="${{{qid}}}_boxValue"
                                           title="unos vrijednosti"
                                           step="1"
                                           min="0" max="5">
                                </td>
                            </tr>
                            <tr>
                                <td>Veličina okvira:</td>
                                <td><input id="${{{qid}}}_inputBoxLength" type="number"
                                           name="${{{qid}}}_lengthBoxValue"
                                           title="unos vrijednosti"
                                           step="1"
                                           min="0" max="212">
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
                <div class="modal-footer modal-footer-custom">

                    <button onclick="qGlobalObject('${{{qid}}}', 'gObj').validateForm()"
                            class="btn btn-primary"> Spremi
                    </button>
                    <button type="button" onclick="qGlobalObject('${{{qid}}}', 'gObj').closeDialog();"
                            class="btn btn-danger"
                            data-dismiss="modal">Zatvori
                    </button>


                </div>
            </div>
        </div>
    </div>
</div>


